Bug 975347 - rhevm-image-uploader fails with "error: no such option: --rhevm" error no matter what options are passed
Summary: rhevm-image-uploader fails with "error: no such option: --rhevm" error no mat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-image-uploader
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.3.0
Assignee: Sandro Bonazzola
QA Contact: Ilanit Stein
URL:
Whiteboard: integration
Depends On:
Blocks: 975417
TreeView+ depends on / blocked
 
Reported: 2013-06-18 07:49 UTC by Sandro Bonazzola
Modified: 2018-12-01 14:26 UTC (History)
10 users (show)

Fixed In Version: rhevm-image-uploader-3.3.0-0.0.master.el6ev
Doc Type: Bug Fix
Doc Text:
After an upgrade from version 3.1, the rhevm-image-uploader could not upload images to the export storage domain because it used the deprecated configuration key 'rhevm' instead of 'engine'. This update adds a warning that the user needs to update the 'rhevm' key in the /etc/ovirt-engine/imageuploader.conf file in order to use the rhevm-iso-uploader tool.
Clone Of: 975209
: 975417 (view as bug list)
Environment:
Last Closed: 2014-01-21 16:32:26 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0078 0 normal SHIPPED_LIVE rhevm-image-uploader bug fix and enhancement update 2014-01-21 20:36:35 UTC
oVirt gerrit 15824 0 None None None Never

Comment 2 Sandro Bonazzola 2013-06-18 11:04:17 UTC
patch merged upstream master for 3.3.0.
http://gerrit.ovirt.org/gitweb?p=ovirt-image-uploader.git;a=commit;h=6ec3569d32d9b187f10cfa47e022d5d980432465

Comment 5 Ilanit Stein 2013-09-08 13:05:36 UTC
Verified on is12 (rhevm-image-uploader-3.3.0-0.1.rc.el6ev.noarch).

Comment 6 errata-xmlrpc 2014-01-21 16:32:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0078.html


Note You need to log in before you can comment on or make changes to this bug.